<?php

namespace news\system\news;

use news\data\news\ViewableNews;
use wcf\system\SingletonFactory;

/**
 * @author    Olaf Braun
 * @copyright 2013-2020 Olaf Braun - Software Development
 * @license   WBB-Elite.de License <https://lizenz.wbb-elite.de/lizenz.html>
 * @package   de.wbb-elite.news.unread
 * @category  News system unread core object
 */
class NewsHandler extends SingletonFactory {
	
	/**
	 * Return the number of unread news
	 * 
	 * @return integer
	 */
	public function getUnreadNewsCount(){
		return ViewableNews::getUnreadNews();
	}
}